_TIMER2_interrupt:
;Wifi_AdHoc_Server.c,55 :: 		void TIMER2_interrupt() iv IVT_INT_TIM2{
;Wifi_AdHoc_Server.c,56 :: 		TIM2_SR.UIF = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_SR+0)
MOVT	R0, #hi_addr(TIM2_SR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,57 :: 		wifiTmr++;
MOVW	R1, #lo_addr(_wifiTmr+0)
MOVT	R1, #hi_addr(_wifiTmr+0)
LDRH	R0, [R1, #0]
ADDS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;Wifi_AdHoc_Server.c,58 :: 		if(wifiTmr == 3) {                  // timer1 overflows 3 times per second
CMP	R0, #3
IT	NE
BNE	L_TIMER2_interrupt0
;Wifi_AdHoc_Server.c,59 :: 		Net_Wireless_MCW1001_Time++ ;  // increment WiFi library counter
MOVW	R1, #lo_addr(_Net_Wireless_MCW1001_Time+0)
MOVT	R1, #hi_addr(_Net_Wireless_MCW1001_Time+0)
LDR	R0, [R1, #0]
ADDS	R0, R0, #1
STR	R0, [R1, #0]
;Wifi_AdHoc_Server.c,60 :: 		wifiTmr = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_wifiTmr+0)
MOVT	R0, #hi_addr(_wifiTmr+0)
STRH	R1, [R0, #0]
;Wifi_AdHoc_Server.c,61 :: 		}
L_TIMER2_interrupt0:
;Wifi_AdHoc_Server.c,62 :: 		}
L_end_TIMER2_interrupt:
BX	LR
; end of _TIMER2_interrupt
_InitMcu:
;Wifi_AdHoc_Server.c,67 :: 		void InitMcu() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Wifi_AdHoc_Server.c,70 :: 		RCC_APB1ENR.TIM2EN = 1;       // Enable clock gating for timer module 6
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,71 :: 		TIM2_CR1.CEN = 0;             // Disable timer
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,72 :: 		TIM2_PSC = 366;                  // Set timer prescaler. The counter clock frequency is equal to fCK_PSC / (PSC[15:0] + 1).
MOVW	R1, #366
MOVW	R0, #lo_addr(TIM2_PSC+0)
MOVT	R0, #hi_addr(TIM2_PSC+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,73 :: 		TIM2_ARR = 65514;
MOVW	R1, #65514
MOVW	R0, #lo_addr(TIM2_ARR+0)
MOVT	R0, #hi_addr(TIM2_ARR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,74 :: 		NVIC_IntEnable(IVT_INT_TIM2);     // Enable timer interrupt
MOVW	R0, #44
BL	_NVIC_IntEnable+0
;Wifi_AdHoc_Server.c,75 :: 		TIM2_DIER.UIE = 1;            // Update interrupt enable
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_DIER+0)
MOVT	R0, #hi_addr(TIM2_DIER+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,76 :: 		TIM2_CR1.CEN = 1;             // Enable timer
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,79 :: 		GPIO_Digital_Output(&GPIOE_BASE, _GPIO_PINMASK_15);
MOVW	R1, #32768
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Output+0
;Wifi_AdHoc_Server.c,80 :: 		GPIOE_ODR.B15 = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,81 :: 		ADC1_Init();
BL	_ADC1_Init+0
;Wifi_AdHoc_Server.c,82 :: 		Sound_Init(&GPIOE_ODR, 14);
MOVS	R1, #14
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
BL	_Sound_Init+0
;Wifi_AdHoc_Server.c,83 :: 		Net_Wireless_MCW1001_HwReset();
BL	_Net_Wireless_MCW1001_HwReset+0
;Wifi_AdHoc_Server.c,85 :: 		}
L_end_InitMcu:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _InitMcu
_InitWiFi:
;Wifi_AdHoc_Server.c,90 :: 		void InitWiFi() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Wifi_AdHoc_Server.c,93 :: 		Net_Wireless_MCW1001_TimeToWait = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_Net_Wireless_MCW1001_TimeToWait+0)
MOVT	R0, #hi_addr(_Net_Wireless_MCW1001_TimeToWait+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,94 :: 		response = 1;
; response start address is: 0 (R0)
MOVS	R0, #1
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,95 :: 		while(response != 0)
L_InitWiFi1:
; response start address is: 0 (R0)
CMP	R0, #0
IT	EQ
BEQ	L_InitWiFi2
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,96 :: 		response = Net_Wireless_MCW1001_SetMode(_NET_WIRELESS_MCW1001_CP_1, _NET_WIRELESS_MCW1001_MODE_ADHOC); // Set "Connection Profile 1" mode (Ad-Hoc mode)
MOVS	R1, #2
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_SetMode+0
; response start address is: 0 (R0)
; response end address is: 0 (R0)
IT	AL
BAL	L_InitWiFi1
L_InitWiFi2:
;Wifi_AdHoc_Server.c,98 :: 		Net_Wireless_MCW1001_TimeToWait = 10;
MOVS	R1, #10
MOVW	R0, #lo_addr(_Net_Wireless_MCW1001_TimeToWait+0)
MOVT	R0, #hi_addr(_Net_Wireless_MCW1001_TimeToWait+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,99 :: 		response =Net_Wireless_MCW1001_SetChannelList(1, channels);                     // Choose only channerl one for communication
MOVW	R1, #lo_addr(_channels+0)
MOVT	R1, #hi_addr(_channels+0)
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_SetChannelList+0
; response start address is: 0 (R0)
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,100 :: 		response =Net_Wireless_MCW1001_SetSecurity_Open(_NET_WIRELESS_MCW1001_CP_1);    // Set open security level
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_SetSecurity_Open+0
; response start address is: 0 (R0)
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,101 :: 		response =Net_Wireless_MCW1001_SetSSID(_NET_WIRELESS_MCW1001_CP_1, strSSID);    // Set SSID of network
MOVW	R1, #lo_addr(_strSSID+0)
MOVT	R1, #hi_addr(_strSSID+0)
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_SetSSID+0
; response start address is: 0 (R0)
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,104 :: 		Net_Wireless_MCW1001_SetIP(myIpAdd);
MOVW	R0, #lo_addr(_myIpAdd+0)
MOVT	R0, #hi_addr(_myIpAdd+0)
BL	_Net_Wireless_MCW1001_SetIP+0
;Wifi_AdHoc_Server.c,105 :: 		response =Net_Wireless_MCW1001_SetNetworkMask(netMask);
MOVW	R0, #lo_addr(_netMask+0)
MOVT	R0, #hi_addr(_netMask+0)
BL	_Net_Wireless_MCW1001_SetNetworkMask+0
; response start address is: 0 (R0)
; response end address is: 0 (R0)
;Wifi_AdHoc_Server.c,106 :: 		Net_Wireless_MCW1001_SetGatewayIP(gatewayAdd);
MOVW	R0, #lo_addr(_gatewayAdd+0)
MOVT	R0, #hi_addr(_gatewayAdd+0)
BL	_Net_Wireless_MCW1001_SetGatewayIP+0
;Wifi_AdHoc_Server.c,107 :: 		Net_Wireless_MCW1001_SetMAC(myMacAdd);
MOVW	R0, #lo_addr(_myMacAdd+0)
MOVT	R0, #hi_addr(_myMacAdd+0)
BL	_Net_Wireless_MCW1001_SetMAC+0
;Wifi_AdHoc_Server.c,109 :: 		Net_Wireless_MCW1001_SetArpTime(1);                                   // Set gratuitous ARP timing
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_SetArpTime+0
;Wifi_AdHoc_Server.c,110 :: 		Net_Wireless_MCW1001_SetRetryCount(5, 0);                             // No retries for the connection if the first attempt fails,
MOVS	R1, #0
MOVS	R0, #5
BL	_Net_Wireless_MCW1001_SetRetryCount+0
;Wifi_AdHoc_Server.c,112 :: 		}
L_end_InitWiFi:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _InitWiFi
_ReadDS1820:
;Wifi_AdHoc_Server.c,114 :: 		unsigned int ReadDS1820(){
SUB	SP, SP, #8
STR	LR, [SP, #0]
;Wifi_AdHoc_Server.c,117 :: 		Ow_Reset(&GPIOA_BASE, 3);                         // Onewire reset signal
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Reset+0
;Wifi_AdHoc_Server.c,118 :: 		Ow_Write(&GPIOA_BASE, 3, 0xCC);                   // Issue command SKIP_ROM
MOVS	R2, #204
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Write+0
;Wifi_AdHoc_Server.c,119 :: 		Ow_Write(&GPIOA_BASE, 3, 0x44);                   // Issue command CONVERT_T
MOVS	R2, #68
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Write+0
;Wifi_AdHoc_Server.c,120 :: 		Delay_ms(750);
MOVW	R7, #21567
MOVT	R7, #137
NOP
NOP
L_ReadDS18203:
SUBS	R7, R7, #1
BNE	L_ReadDS18203
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,122 :: 		Ow_Reset(&GPIOA_BASE, 3);
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Reset+0
;Wifi_AdHoc_Server.c,123 :: 		Ow_Write(&GPIOA_BASE, 3, 0xCC);                   // Issue command SKIP_ROM
MOVS	R2, #204
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Write+0
;Wifi_AdHoc_Server.c,124 :: 		Ow_Write(&GPIOA_BASE, 3, 0xBE);                   // Issue command READ_SCRATCHPAD
MOVS	R2, #190
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Write+0
;Wifi_AdHoc_Server.c,126 :: 		temp =  Ow_Read(&GPIOA_BASE, 3);
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Read+0
; temp start address is: 4 (R1)
UXTB	R1, R0
;Wifi_AdHoc_Server.c,127 :: 		temp = (Ow_Read(&GPIOA_BASE, 3) << 8) + temp;
STRH	R1, [SP, #4]
MOVS	R1, #3
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_Ow_Read+0
LDRH	R1, [SP, #4]
LSLS	R0, R0, #8
UXTH	R0, R0
ADDS	R0, R0, R1
; temp end address is: 4 (R1)
;Wifi_AdHoc_Server.c,128 :: 		return temp;
;Wifi_AdHoc_Server.c,129 :: 		}
L_end_ReadDS1820:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _ReadDS1820
_CheckTcpReceive:
;Wifi_AdHoc_Server.c,134 :: 		char CheckTcpReceive() {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;Wifi_AdHoc_Server.c,135 :: 		unsigned int numOfReceiveBytes = 0;
MOVW	R0, #0
STRH	R0, [SP, #4]
MOVS	R0, #0
STRB	R0, [SP, #6]
;Wifi_AdHoc_Server.c,136 :: 		char result=0;
;Wifi_AdHoc_Server.c,138 :: 		response = Net_Wireless_MCW1001_TCP_ReadBytes(&socketChild, 10, &readbuff, &numOfReceiveBytes);
ADD	R0, SP, #4
MOV	R3, R0
MOVW	R2, #lo_addr(_readbuff+0)
MOVT	R2, #hi_addr(_readbuff+0)
MOVS	R1, #10
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
BL	_Net_Wireless_MCW1001_TCP_ReadBytes+0
MOVW	R1, #lo_addr(_response+0)
MOVT	R1, #hi_addr(_response+0)
STRB	R0, [R1, #0]
;Wifi_AdHoc_Server.c,140 :: 		if((response == _NET_WIRELESS_MCW1001_NO_ERROR) && (numOfReceiveBytes == 10)) {
CMP	R0, #0
IT	NE
BNE	L__CheckTcpReceive31
LDRH	R0, [SP, #4]
CMP	R0, #10
IT	NE
BNE	L__CheckTcpReceive30
L__CheckTcpReceive29:
;Wifi_AdHoc_Server.c,141 :: 		GPIOE_ODR.B15 = ~GPIOE_ODR.B15 ;
MOVW	R1, #lo_addr(GPIOE_ODR+0)
MOVT	R1, #hi_addr(GPIOE_ODR+0)
LDR	R0, [R1, #0]
EOR	R1, R0, #1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,142 :: 		result=0xFF;
MOVS	R0, #255
STRB	R0, [SP, #6]
;Wifi_AdHoc_Server.c,140 :: 		if((response == _NET_WIRELESS_MCW1001_NO_ERROR) && (numOfReceiveBytes == 10)) {
L__CheckTcpReceive31:
L__CheckTcpReceive30:
;Wifi_AdHoc_Server.c,144 :: 		return result;
LDRB	R0, [SP, #6]
;Wifi_AdHoc_Server.c,145 :: 		}
L_end_CheckTcpReceive:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _CheckTcpReceive
_Read:
;Wifi_AdHoc_Server.c,147 :: 		void Read(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Wifi_AdHoc_Server.c,148 :: 		writebuff[0]=0xF; //control byte
MOVS	R1, #15
MOVW	R0, #lo_addr(_writebuff+0)
MOVT	R0, #hi_addr(_writebuff+0)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,149 :: 		writebuff[1]=0xF; //control byte
MOVS	R1, #15
MOVW	R0, #lo_addr(_writebuff+1)
MOVT	R0, #hi_addr(_writebuff+1)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,151 :: 		DS1820_VALUE = ReadDS1820();
BL	_ReadDS1820+0
MOVW	R1, #lo_addr(_DS1820_VALUE+0)
MOVT	R1, #hi_addr(_DS1820_VALUE+0)
STRH	R0, [R1, #0]
;Wifi_AdHoc_Server.c,153 :: 		writebuff[2]=(char)((DS1820_VALUE >> 8) & 0xFF);
LSRS	R1, R0, #8
UXTH	R1, R1
AND	R1, R1, #255
UXTB	R2, R1
MOVW	R1, #lo_addr(_writebuff+2)
MOVT	R1, #hi_addr(_writebuff+2)
STRB	R2, [R1, #0]
;Wifi_AdHoc_Server.c,154 :: 		writebuff[3]=(char)(DS1820_VALUE & 0xFF);
AND	R0, R0, #255
UXTB	R1, R0
MOVW	R0, #lo_addr(_writebuff+3)
MOVT	R0, #hi_addr(_writebuff+3)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,157 :: 		LM35_VALUE = ADC1_Read(10);
MOVS	R0, #10
BL	_ADC1_Read+0
MOVW	R2, #lo_addr(_LM35_VALUE+0)
MOVT	R2, #hi_addr(_LM35_VALUE+0)
STRH	R0, [R2, #0]
;Wifi_AdHoc_Server.c,158 :: 		delay_ms(10);
MOVW	R7, #54463
MOVT	R7, #1
NOP
NOP
L_Read8:
SUBS	R7, R7, #1
BNE	L_Read8
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,160 :: 		writebuff[4]=(char)((LM35_VALUE >> 8) & 0xFF);
MOVW	R0, #lo_addr(_LM35_VALUE+0)
MOVT	R0, #hi_addr(_LM35_VALUE+0)
LDRH	R0, [R0, #0]
LSRS	R0, R0, #8
UXTH	R0, R0
AND	R0, R0, #255
UXTB	R1, R0
MOVW	R0, #lo_addr(_writebuff+4)
MOVT	R0, #hi_addr(_writebuff+4)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,161 :: 		writebuff[5]=(char)(LM35_VALUE & 0xFF);
MOV	R0, R2
LDRH	R0, [R0, #0]
AND	R0, R0, #255
UXTB	R1, R0
MOVW	R0, #lo_addr(_writebuff+5)
MOVT	R0, #hi_addr(_writebuff+5)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,162 :: 		}
L_end_Read:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Read
_main:
;Wifi_AdHoc_Server.c,167 :: 		void main() {
;Wifi_AdHoc_Server.c,169 :: 		InitMcu();
BL	_InitMcu+0
;Wifi_AdHoc_Server.c,170 :: 		ADC_Set_Input_Channel(_ADC_CHANNEL_10);
MOVW	R0, #1024
BL	_ADC_Set_Input_Channel+0
;Wifi_AdHoc_Server.c,172 :: 		UART2_Init_Advanced(115200, _UART_8_BIT_DATA, _UART_NOPARITY, _UART_TWO_STOPBITS, &_GPIO_MODULE_USART2_PD56);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART2_PD56+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART2_PD56+0)
PUSH	(R0)
MOVW	R3, #8192
MOVW	R2, #0
MOVW	R1, #0
MOV	R0, #115200
BL	_UART2_Init_Advanced+0
ADD	SP, SP, #4
;Wifi_AdHoc_Server.c,173 :: 		Delay_ms(2000);
MOVW	R7, #13823
MOVT	R7, #366
NOP
NOP
L_main10:
SUBS	R7, R7, #1
BNE	L_main10
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,175 :: 		InitWiFi();
BL	_InitWiFi+0
;Wifi_AdHoc_Server.c,177 :: 		Net_Wireless_MCW1001_Connect(_NET_WIRELESS_MCW1001_CP_1, &wifiStatus);
MOVW	R1, #lo_addr(_wifiStatus+0)
MOVT	R1, #hi_addr(_wifiStatus+0)
MOVS	R0, #1
BL	_Net_Wireless_MCW1001_Connect+0
;Wifi_AdHoc_Server.c,178 :: 		localPort = 10002;
MOVW	R1, #10002
MOVW	R0, #lo_addr(_localPort+0)
MOVT	R0, #hi_addr(_localPort+0)
STRH	R1, [R0, #0]
;Wifi_AdHoc_Server.c,180 :: 		while(1) {
L_main12:
;Wifi_AdHoc_Server.c,181 :: 		socketHandle = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,182 :: 		backLog = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_backLog+0)
MOVT	R0, #hi_addr(_backLog+0)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,183 :: 		Net_Wireless_MCW1001_SocketCreate(&socketHandle, _NET_WIRELESS_MCW1001_SOCKET_TYPE_TCP);   // Create TCP socket
MOVS	R1, #1
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
BL	_Net_Wireless_MCW1001_SocketCreate+0
;Wifi_AdHoc_Server.c,184 :: 		Net_Wireless_MCW1001_SocketBind(socketHandle, &localPort, &bindResponse);                  // Bind socket to the listen port
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
LDRB	R0, [R0, #0]
MOVW	R2, #lo_addr(_bindResponse+0)
MOVT	R2, #hi_addr(_bindResponse+0)
MOVW	R1, #lo_addr(_localPort+0)
MOVT	R1, #hi_addr(_localPort+0)
BL	_Net_Wireless_MCW1001_SocketBind+0
;Wifi_AdHoc_Server.c,185 :: 		Net_Wireless_MCW1001_TCP_Listen(socketHandle, &backLog, &listenResponse);                  // Prepare the socket to listen for connection
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
LDRB	R0, [R0, #0]
MOVW	R2, #lo_addr(_listenResponse+0)
MOVT	R2, #hi_addr(_listenResponse+0)
MOVW	R1, #lo_addr(_backLog+0)
MOVT	R1, #hi_addr(_backLog+0)
BL	_Net_Wireless_MCW1001_TCP_Listen+0
;Wifi_AdHoc_Server.c,187 :: 		while(1) {
L_main14:
;Wifi_AdHoc_Server.c,188 :: 		socketChild = socketHandle;
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
STRB	R1, [R0, #0]
;Wifi_AdHoc_Server.c,189 :: 		Net_Wireless_MCW1001_TCP_Accept(&socketChild, &remotePort, remoteIpAdd);                 // Accept incoming conncetion
MOVW	R2, #lo_addr(_remoteIpAdd+0)
MOVT	R2, #hi_addr(_remoteIpAdd+0)
MOVW	R1, #lo_addr(_remotePort+0)
MOVT	R1, #hi_addr(_remotePort+0)
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
BL	_Net_Wireless_MCW1001_TCP_Accept+0
;Wifi_AdHoc_Server.c,190 :: 		if (socketChild != 254) {                                                                // Accept function set socketChild.
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
LDRB	R0, [R0, #0]
CMP	R0, #254
IT	EQ
BEQ	L_main16
;Wifi_AdHoc_Server.c,192 :: 		GPIOE_ODR.B15 = 1;                                                                     // Connection established
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,193 :: 		Sound_Play(800, 200);            // Play sound at 800Hz for 40ms
MOVS	R1, #200
MOVW	R0, #800
BL	_Sound_Play+0
;Wifi_AdHoc_Server.c,194 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_main17:
SUBS	R7, R7, #1
BNE	L_main17
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,195 :: 		Sound_Play(800, 200);            // Play sound at 800Hz for 40ms
MOVS	R1, #200
MOVW	R0, #800
BL	_Sound_Play+0
;Wifi_AdHoc_Server.c,196 :: 		Delay_ms(1000);
MOVW	R7, #6911
MOVT	R7, #183
NOP
NOP
L_main19:
SUBS	R7, R7, #1
BNE	L_main19
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,197 :: 		break;
IT	AL
BAL	L_main15
;Wifi_AdHoc_Server.c,198 :: 		}
L_main16:
;Wifi_AdHoc_Server.c,199 :: 		}
IT	AL
BAL	L_main14
L_main15:
;Wifi_AdHoc_Server.c,202 :: 		while(1) {
L_main21:
;Wifi_AdHoc_Server.c,204 :: 		if(CheckTcpReceive()){
BL	_CheckTcpReceive+0
CMP	R0, #0
IT	EQ
BEQ	L_main23
;Wifi_AdHoc_Server.c,205 :: 		if(readbuff[0] == 0xF){
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #15
IT	NE
BNE	L_main24
;Wifi_AdHoc_Server.c,206 :: 		Read();
BL	_Read+0
;Wifi_AdHoc_Server.c,207 :: 		response = Net_Wireless_MCW1001_TCP_SendBytes(socketChild, writebuff, 10, &numOfSendBytes);
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
LDRB	R0, [R0, #0]
MOVW	R3, #lo_addr(_numOfSendBytes+0)
MOVT	R3, #hi_addr(_numOfSendBytes+0)
MOVS	R2, #10
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
BL	_Net_Wireless_MCW1001_TCP_SendBytes+0
MOVW	R1, #lo_addr(_response+0)
MOVT	R1, #hi_addr(_response+0)
STRB	R0, [R1, #0]
;Wifi_AdHoc_Server.c,208 :: 		}
L_main24:
;Wifi_AdHoc_Server.c,209 :: 		}else{
IT	AL
BAL	L_main25
L_main23:
;Wifi_AdHoc_Server.c,210 :: 		if(Net_Wireless_MCW1001_TCP_Status(socketChild, 0x1) != 0) {             // If connection closed improperly from remote side
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
LDRB	R0, [R0, #0]
MOVS	R1, #1
BL	_Net_Wireless_MCW1001_TCP_Status+0
CMP	R0, #0
IT	EQ
BEQ	L_main26
;Wifi_AdHoc_Server.c,211 :: 		Net_Wireless_MCW1001_SocketClose(socketChild);                          // Close sockets
MOVW	R0, #lo_addr(_socketChild+0)
MOVT	R0, #hi_addr(_socketChild+0)
LDRB	R0, [R0, #0]
BL	_Net_Wireless_MCW1001_SocketClose+0
;Wifi_AdHoc_Server.c,212 :: 		Net_Wireless_MCW1001_SocketClose(socketHandle);
MOVW	R0, #lo_addr(_socketHandle+0)
MOVT	R0, #hi_addr(_socketHandle+0)
LDRB	R0, [R0, #0]
BL	_Net_Wireless_MCW1001_SocketClose+0
;Wifi_AdHoc_Server.c,213 :: 		GPIOE_ODR.B15 = 0;                                                      // Connection established
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;Wifi_AdHoc_Server.c,214 :: 		Sound_Play(800, 200);                                                   // Play sound at 800Hz for 40ms
MOVS	R1, #200
MOVW	R0, #800
BL	_Sound_Play+0
;Wifi_AdHoc_Server.c,215 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_main27:
SUBS	R7, R7, #1
BNE	L_main27
NOP
NOP
NOP
;Wifi_AdHoc_Server.c,216 :: 		break;
IT	AL
BAL	L_main22
;Wifi_AdHoc_Server.c,217 :: 		}
L_main26:
;Wifi_AdHoc_Server.c,220 :: 		}
L_main25:
;Wifi_AdHoc_Server.c,224 :: 		}
IT	AL
BAL	L_main21
L_main22:
;Wifi_AdHoc_Server.c,226 :: 		}
IT	AL
BAL	L_main12
;Wifi_AdHoc_Server.c,227 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
